package com.ecep.contract.util;

import org.springframework.util.StringUtils;

import com.ecep.contract.vo.ContractVo;

public class ContractUtils {
    /**
     * 检查合同代码是否是子合同代码
     * 
     * @param code 合同代码
     * @return 是否是子合同代码
     */
    public static boolean isSubContractCode(String code) {
        return StringUtils.hasText(code) && code.contains("-");
    }

    public static String getParentCode(String code) {
        if (!isSubContractCode(code)) {
            return null;
        }
        int index = code.indexOf("-");
        if (index <= 4) {
            return null;
        }
        return code.substring(0, index);
    }
}
